Bug 127857 - Missing BuildRequire
Summary: Missing BuildRequire
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-14 19:25 UTC by Andreas Thienemann
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-15 12:12:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andreas Thienemann 2004-07-14 19:25:42 UTC
Description of problem:

when rebuilding rpm and the redhat-release package is not installed,
the build stage will not create
/usr/src/redhat/(RPMS|SRPMS|BUILD|SPECS) but
/usr/src/pc/(RPMS|SRPMS|BUILD|SPECS) instead.

If this happens, the rebuild will fail as it checks for the assistance
of %{__prefix}/src/redhat/*

Version-Release number of selected component (if applicable):
rpm-4.3.2-0.4.src.rpm

Thus it would be advisable to include redhat-release or
/etc/redhat-release into the BuildRequirements.

Comment 1 Jeff Johnson 2004-07-15 12:12:25 UTC
rpm is built on other distros that do not have /etc/redhat-release.

/etc/redhat-release is like certain other build dependencies,
lik gcc and make, that are assumed rather than specified.




Note You need to log in before you can comment on or make changes to this bug.